## ros-humble-ros-ign-interfaces 0.244.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ros_ign_interfaces)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(ros_gz_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/Contact.msg"
  "msg/Contacts.msg"
  "msg/Entity.msg"
  "msg/EntityFactory.msg"
  "msg/GuiCamera.msg"
  "msg/JointWrench.msg"
  "msg/Light.msg"
  "msg/StringVec.msg"
  "msg/TrackVisual.msg"
  "msg/VideoRecord.msg"
  "msg/WorldControl.msg"
  "msg/WorldReset.msg"
)

set(srv_files
  "srv/ControlWorld.srv"
  "srv/DeleteEntity.srv"
  "srv/SetEntityPose.srv"
  "srv/SpawnEntity.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces std_msgs geometry_msgs ros_gz_interfaces
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-ros-ign-interfaces (0.244.11-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.10-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.9-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.8-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.7-1jammy) jammy; urgency=high

  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Merge branch 'galactic' into ports/galactic_to_ros2
  * Add ParamVec and bridge from Ignition (#261 <https://github.com/gazebosim/ros_gz/issues/261>)
    * Introduces ros_ign_interfaces::msg::ParamVec for storing a list of Parameters that are int, bool, double, or string.
    * Introduces bridge for ignition::msgs::param to ros_ign_interfaces::msg::ParamVec
    * Introduces bridge for ignition::msgs::param_v to ros_ign_interfaces::msg::ParamVec
  * Add rssi to Dataframe.msg (#249 <https://github.com/gazebosim/ros_gz/issues/249>)
    * Adding rssi field to ros_ign_interfaces/Dataframe.msg
  * [galactic] Backport GuiCamera, StringVec, TrackVisual, VideoRecord (#241 <https://github.com/gazebosim/ros_gz/issues/241>)
    * [ros_ign_interfaces] Add more interface definitions.
    * Add converion functions for the added messages
    * Update the factory factory function with the new messages
    * Add new messages to docs
    * Add test cases for the new messages conversions
    Co-authored-by: Ivan Santiago Paunovic <mailto:ivanpauno@ekumenlabs.com>
  * Add Dataframe message and bridging (#239 <https://github.com/gazebosim/ros_gz/issues/239>)
  * Contributors: Carlos Agüero, Michael Carroll

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.6-1jammy) jammy; urgency=high

  * Restructured directories (#296 <https://github.com/gazebosim/ros_gz/issues/296>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.5-1jammy) jammy; urgency=high

  * ign -> gz : ros_gz Migration (Shims) (#281 <https://github.com/gazebosim/ros_gz/issues/281>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

=== debian/control ===
Source: ros-humble-ros-ign-interfaces
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-ros-gz-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-ign-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-ros-gz-interfaces, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Shim package to redirect to ros_gz_interfaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign-interfaces//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ros-ign-interfaces 0.244.14

=== debian/changelog ===
ros-humble-ros-ign-interfaces (0.244.14-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.13-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.12-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.11-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.10-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.9-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.8-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.7-1bookworm) bookworm; urgency=high

  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Merge branch 'galactic' into ports/galactic_to_ros2
  * Add ParamVec and bridge from Ignition (#261 <https://github.com/gazebosim/ros_gz/issues/261>)
    * Introduces ros_ign_interfaces::msg::ParamVec for storing a list of Parameters that are int, bool, double, or string.
    * Introduces bridge for ignition::msgs::param to ros_ign_interfaces::msg::ParamVec
    * Introduces bridge for ignition::msgs::param_v to ros_ign_interfaces::msg::ParamVec
  * Add rssi to Dataframe.msg (#249 <https://github.com/gazebosim/ros_gz/issues/249>)
    * Adding rssi field to ros_ign_interfaces/Dataframe.msg
  * [galactic] Backport GuiCamera, StringVec, TrackVisual, VideoRecord (#241 <https://github.com/gazebosim/ros_gz/issues/241>)
    * [ros_ign_interfaces] Add more interface definitions.
    * Add converion functions for the added messages
    * Update the factory factory function with the new messages
    * Add new messages to docs
    * Add test cases for the new messages conversions
    Co-authored-by: Ivan Santiago Paunovic <mailto:ivanpauno@ekumenlabs.com>
  * Add Dataframe message and bridging (#239 <https://github.com/gazebosim/ros_gz/issues/239>)
  * Contributors: Carlos Agüero, Michael Carroll

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 11 Oct 2022 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.6-1bookworm) bookworm; urgency=high

  * Restructured directories (#296 <https://github.com/gazebosim/ros_gz/issues/296>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 13 Sep 2022 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.5-1bookworm) bookworm; urgency=high

  * ign -> gz : ros_gz Migration (Shims) (#281 <https://github.com/gazebosim/ros_gz/issues/281>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign-interfaces//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign-interfaces//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ros-ign-interfaces//opt/ros/humble/opt/ros_ign_interfaces/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-ros-ign-interfaces 0.244.16

=== debian/changelog ===
ros-humble-ros-ign-interfaces (0.244.16-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-ros-ign-interfaces (0.244.15-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 02 Jul 2024 16:00:00 -0000
